<template>
  <Masons :label="title" />
</template>

<script>
import Masons from '@/components/Masons.vue';
import { mapGetters } from 'vuex';
import { useRoute } from 'vue-router';

export default {
  components: {
    Masons
  },
  data() {
    return {
      lodge_name: ''
    }
  },
  computed: {
    ...mapGetters(['getLodge']),
    title() {
      return "All masons of lodge under name " + this.lodge_name
    }
  },
  mounted() {
    debugger
    const lodge_id = useRoute().params.id
    this.lodge_name = this.getLodge(lodge_id).name
  }
}


</script>